Valorant API Unofficial docs
API Reference Authentication Endpoints
GET

PAS Token

Get a PAS token using the auth token. The PAS token is a JWT that contains the affinity for the XMPP server.

Server riot-geo.pas.si.riotgames.com Auth Bearer
GET https://riot-geo.pas.si.riotgames.com/pas/v1/service/chat
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

string

The PAS token